apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: pidoka-hf-matomo-secrets
  namespace: argocd
spec:
  project: tenant-pidoka
  source:
    repoURL: https://github.com/GitMasterOne/platform-gitops.git
    targetRevision: main
    path: tenants/pidoka/prod/matomo/external-secrets
  destination:
    server: https://192.168.20.40:6443
    namespace: pidoka-hf-matomo
  syncPolicy:
    automated:
      prune: false
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - ServerSideApply=true
